summaryrefslogtreecommitdiffstats
path: root/mvn-phase-script.sh
diff options
context:
space:
mode:
authorBetzer, Rony (rb844h) <rb844h@intl.att.com>2018-10-04 16:47:13 +0300
committerMichael Lando <michael.lando@intl.att.com>2018-10-10 10:37:19 +0000
commit2236f9d810af0d2ef480eafbfa2abcc2b3cd932e (patch)
tree02a352f8aabcfee8a18f654b72d20919af84e43a /mvn-phase-script.sh
parenta1cce5a9df1415309828944da3aa8a56e8f7d52e (diff)
UT coverage report with tox and virtualenv
UT coverage report with tox and virtualenv Change-Id: I90d6d4099e8cf43201082d5094865ee78c0bad9e Issue-ID: SDC-1756 Signed-off-by: Betzer, Rony (rb844h) <rb844h@intl.att.com>
Diffstat (limited to 'mvn-phase-script.sh')
-rw-r--r--mvn-phase-script.sh60
1 files changed, 60 insertions, 0 deletions
diff --git a/mvn-phase-script.sh b/mvn-phase-script.sh
new file mode 100644
index 0000000..77979dc
--- /dev/null
+++ b/mvn-phase-script.sh
@@ -0,0 +1,60 @@
+#!/bin/bash
+
+# ================================================================================
+# Copyright (c) 2017 AT&T Intellectual Property. All rights reserved.
+# ================================================================================
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+# ============LICENSE_END=========================================================
+#
+# ECOMP is a trademark and service mark of AT&T Intellectual Property.
+
+set -ex
+
+
+echo "running script: [$0] for module [$1] at stage [$2]"
+
+MVN_PROJECT_MODULEID="$1"
+MVN_PHASE="$2"
+PROJECT_ROOT=$(dirname $0)
+
+run_tox_test () {
+ CURDIR=$(pwd)
+ TOXINIS=.
+ for TOXINI in "${TOXINIS[@]}"; do
+ DIR=$(echo "$TOXINI" | rev | cut -f2- -d'/' | rev)
+ cd "${CURDIR}/${DIR}"
+ rm -rf ./venv-tox ./.tox
+ virtualenv ./venv-tox
+ source ./venv-tox/bin/activate
+ pip install --upgrade pip
+ pip install --upgrade tox argparse
+ pip freeze
+ tox
+ deactivate
+ rm -rf ./venv-tox ./.tox
+ done
+}
+
+# Customize the section below for each project
+case $MVN_PHASE in
+test)
+ echo "==> test phase script"
+ run_tox_test
+ ;;
+*)
+ echo "==> unprocessed phase"
+ ;;
+esac
+
+
+